Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.types.v1
Class DetailType

    java.lang.Object
      be.cin.types.v1.DetailType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:01:31+01:00",
               comments="JAXB RI v2.2.11")
    public class DetailType

extends Object
implements Serializable

A single detail line of a fault.

Java class for DetailType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DetailCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="DetailSource" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Location" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Message" type="{urn:be:cin:types:v1}StringLangType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DetailType()`

Method Summary
`String` | `getDetailCode()` Gets the value of the detailCode property.
`String` | `getDetailSource()` Gets the value of the detailSource property.
`String` | `getLocation()` Gets the value of the location property.
`StringLangType` | `getMessage()` Gets the value of the message property.
`void` | `setDetailCode(String value)` Sets the value of the detailCode property.
`void` | `setDetailSource(String value)` Sets the value of the detailSource property.
`void` | `setLocation(String value)` Sets the value of the location property.
`void` | `setMessage(StringLangType value)` Sets the value of the message property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DetailType

    public DetailType()

Method Detail

### getDetailCode

    public String getDetailCode()

  Gets the value of the detailCode property.

  Returns:
    possible object is `String`

### setDetailCode

    public void setDetailCode(String value)

  Sets the value of the detailCode property.

  Parameters:
    `value` - allowed object is `String`

### getDetailSource

    public String getDetailSource()

  Gets the value of the detailSource property.

  Returns:
    possible object is `String`

### setDetailSource

    public void setDetailSource(String value)

  Sets the value of the detailSource property.

  Parameters:
    `value` - allowed object is `String`

### getLocation

    public String getLocation()

  Gets the value of the location property.

  Returns:
    possible object is `String`

### setLocation

    public void setLocation(String value)

  Sets the value of the location property.

  Parameters:
    `value` - allowed object is `String`

### getMessage

    public StringLangType getMessage()

  Gets the value of the message property.

  Returns:
    possible object is `StringLangType`

### setMessage

    public void setMessage(StringLangType value)

  Sets the value of the message property.

  Parameters:
    `value` - allowed object is `StringLangType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.